'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.PopoverWrapperContainer = undefined;

var _templateObject = _taggedTemplateLiteral(['\n    max-width: 300px;\n    box-sizing: border-box;\n    padding: 10px;\n    background-color: ', ';\n    border-radius: 3px;\n    opacity: ', ';\n    border: 1px solid ', ';\n    box-shadow: 1px 1px 1px 1px ', ';\n    ', ';\n\n    &:before {\n        content: \'\';\n        display: block;\n        width: 8px;\n        height: 8px;\n        position: absolute;\n        background-color: ', ';\n        border-left: ', 'px solid ', ';\n        border-bottom: ', 'px solid\n            ', ';\n    }\n'], ['\n    max-width: 300px;\n    box-sizing: border-box;\n    padding: 10px;\n    background-color: ', ';\n    border-radius: 3px;\n    opacity: ', ';\n    border: 1px solid ', ';\n    box-shadow: 1px 1px 1px 1px ', ';\n    ', ';\n\n    &:before {\n        content: \'\';\n        display: block;\n        width: 8px;\n        height: 8px;\n        position: absolute;\n        background-color: ', ';\n        border-left: ', 'px solid ', ';\n        border-bottom: ', 'px solid\n            ', ';\n    }\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _colorCodes = require('../../colorCodes');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var pointerLength = 1;
var spacing = 15;
var width = 8;
function pointerCSS(alignment) {
    var css = '';
    switch (alignment) {
        case 'bottom-right':
            css = '\n                margin-top: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    top: 12px;\n                    right: 8px;\n                    transform: rotate(135deg);\n                }\n            ';
            break;
        case 'bottom-center':
            css = '\n                margin-top: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    top: 12px;\n                    right: calc(50% - ' + width / 2 + 'px);\n                    transform: rotate(135deg);\n                }\n            ';
            break;
        case 'bottom-left':
            css = '\n                margin-top: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    top: 12px;\n                    left: 8px;\n                    transform: rotate(135deg);\n                }\n            ';
            break;
        case 'left-bottom':
            css = '\n                margin-right: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    bottom: 3px;\n                    right: 12px;\n                    transform: rotate(225deg);\n                }\n            ';
            break;
        case 'left-center':
            css = '\n                margin-right: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    bottom: calc(50% - ' + width / 2 + 'px);\n                    right: 12px;\n                    transform: rotate(225deg);\n                }\n            ';
            break;
        case 'left-top':
            css = '\n                margin-right: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    top: 2px;\n                    right: 12px;\n                    transform: rotate(225deg);\n                }\n            ';
            break;
        case 'top-left':
            css = '\n                margin-bottom: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    bottom: 0px;\n                    left: 7px;\n                    transform: rotate(270deg);\n                }\n            ';
            break;
        case 'top-center':
            css = '\n                margin-bottom: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    bottom: 0px;\n                    left: calc(50% - ' + pointerLength / 2 + 'px);\n                    transform: rotate(270deg);\n                }\n            ';
            break;
        case 'top-right':
            css = '\n                margin-bottom: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    bottom: 0px;\n                    right: 7px;\n                    transform: rotate(270deg);\n                }\n            ';
            break;
        case 'right-top':
            css = '\n                margin-left: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    top: 5px;\n                    left: 12px;\n                    transform: rotate(45deg);\n                }\n            ';
            break;
        case 'right-center':
            css = '\n                margin-left: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    top: calc(50% - ' + width / 2 + 'px);\n                    left: 12px;\n                    transform: rotate(45deg);\n                }\n            ';
            break;
        case 'right-bottom':
            css = '\n                margin-left: ' + (pointerLength + spacing) + 'px;\n                &:before {\n                    bottom: 5px;\n                    left: 12px;\n                    transform: rotateZ(45deg);\n                }\n            ';
            break;
        default:
            css = '';
    }
    return css;
}

var PopoverWrapperContainer = exports.PopoverWrapperContainer = _styledComponents2.default.div(_templateObject, _colorCodes.guidelineColors.white, _colorCodes.lightenColors.light, _colorCodes.guidelineColors.accent.primary, _colorCodes.guidelineColors.border.primary, function (props) {
    return pointerCSS(props.position);
}, _colorCodes.guidelineColors.white, pointerLength, _colorCodes.guidelineColors.accent.primary, pointerLength, _colorCodes.guidelineColors.accent.primary);